The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> sched_rr_get_interval - get execution time limits (REALTIME)

#### SYNOPSIS

> ``[PS|TPS] #include <sched.h>
> int sched_rr_get_interval(pid_t` pid`, struct timespec *`interval`);``
> `
> `

#### DESCRIPTION

> The sched_rr_get_interval() function shall update the timespec structure referenced by the interval argument to contain the current execution time limit (that is, time quantum) for the process specified by pid. If pid is zero, the current execution time limit for the calling process shall be returned.

#### RETURN VALUE

> If successful, the sched_rr_get_interval() function shall return zero. Otherwise, it shall return a value of -1 and set errno to indicate the error.

#### ERRORS

> The sched_rr_get_interval() function shall fail if:

> [ESRCH]
>   No process can be found corresponding to that specified by pid.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> sched_getparam(), sched_get_priority_max(), sched_getscheduler(), sched_setparam(), sched_setscheduler(), the Base Definitions volume of IEEE Std 1003.1-2001, <sched.h>

#### CHANGE HISTORY

> First released in Issue 5. Included for alignment with the POSIX Realtime Extension.

#### Issue 6

> The sched_rr_get_interval() function is marked as part of the Process Scheduling option.

> The [ENOSYS] error condition has been removed as stubs need not be provided if an implementation does not support the Process Scheduling option.

> IEEE Std 1003.1-2001/Cor 1-2002, XSH/TC1/D6/53 is applied, changing the PS margin code in the SYNOPSIS to PS|TPS.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]